|  | Home · All Classes · All Functions · Overviews

# QDateEdit Class Reference
[QtGui module]

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget. More...

     #include <QDateEdit>

Inherits QDateTimeEdit.

- List of all members, including inherited members

## Properties

- date : QDate

- 16 properties inherited from QDateTimeEdit
- 11 properties inherited from QAbstractSpinBox
- 58 properties inherited from QWidget
- 1 property inherited from QObject

## Public Functions

| QDateEdit ( QWidget * parent = 0 )
| QDateEdit ( const QDate & date, QWidget * parent = 0 )

- 45 public functions inherited from QDateTimeEdit
- 28 public functions inherited from QAbstractSpinBox
- 217 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

### Additional Inherited Members

- 3 public slots inherited from QDateTimeEdit
- 4 public slots inherited from QAbstractSpinBox
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QDateTimeEdit
- 1 signal inherited from QAbstractSpinBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 12 protected functions inherited from QDateTimeEdit
- 20 protected functions inherited from QAbstractSpinBox
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget.

Many of the properties and functions provided by QDateEdit are implemented in QDateTimeEdit. The following properties are most relevant to users of this class:

- date holds the date displayed by the widget.
- minimumDate defines the minimum (earliest) date that can be set by the user.
- maximumDate defines the maximum (latest) date that can be set by the user.
- displayFormat contains a string that is used to format the date displayed in the widget.

| A date editing widget shown in the Windows XP widget style.
| A date editing widget shown in the Macintosh widget style.
| A date editing widget shown in the Plastique widget style.

See also QTimeEdit and QDateTimeEdit.

## Property Documentation

### date : QDate

This property holds the QDate that is shown in the widget.

By default, this property contains a date referring to January 1, 2000.

Access functions:

QDate | date () const
void | setDate ( const QDate & date )

Notifier signal:

void | dateChanged ( const QDate & date )

## Member Function Documentation

### QDateEdit::QDateEdit ( QWidget * parent = 0 )

Constructs an empty date editor with a parent.

### QDateEdit::QDateEdit ( const QDate & date, QWidget * parent = 0 )

Constructs an empty date editor with a parent. The date is set to date.